Keeping Windows up-to-date automatically

Windows can now keep your computer up-to-date automatically with the latest updates and enhancements. You no longer have to search for critical updates and information; Windows delivers them directly to your computer. Windows recognizes when you are online and uses your Internet connection to search for downloads from the Windows Update Web site. An icon appears in the notification area each time new updates are available.

You can specify how and when you want Windows to update your computer. For example, you can set up Windows to automatically download and install updates on a schedule you specify. Or you can choose to have Windows notify you whenever it finds updates available for your computer; it will then download the updates in the background, allowing you to continue working uninterrupted. After the download is complete, an icon appears in the notification area with a message that the updates are ready to be installed. When you click the icon or message, you can install the new updates in a few simple steps.

If you choose not to install a specific update that has been downloaded, Windows deletes its files from your computer. If you change your mind later, you can download it again by opening , clicking the Automatic Updates tab, and then clicking Declined Updates. If any of the updates you previously declined still apply to your computer, they will appear the next time Windows notifies you of available updates.

Notes

  • To modify Automatic Updates settings, you must be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.
  • Windows might prompt you to restart your computer after certain components are installed. Please restart your computer when prompted; otherwise, your computer might not work properly.
  • You can always install specific updates from the Windows Update Web site: http://windowsupdate.microsoft.com.

Related Topics


Change settings for automatic updating

To change settings for automatic updating

  1. Open in Control Panel.
  2. On the Automatic Updates tab, click the option you want:

    3. Notify me before downloading any updates and notify me again before installing them on my computer

    When Windows finds updates on the Windows Update Web site that apply to your computer, an icon appears in the notification area with a message saying that updates are ready to be downloaded. After you click the icon (or the message), you can select the specific updates that you want downloaded. Windows then downloads the selected updates in the background. When downloading is complete, the icon appears in the notification area again, this time to notify you that updates for your computer are ready to be installed. You can then select the specific updates that you want installed on your computer.

    Download the updates automatically and notify me when they are ready to be installed

    Windows finds updates that apply to your computer and downloads these updates in the background (you are not notified or interrupted during this process). After downloading is complete, an icon appears in the notification area with a message saying that updates for your computer are ready to be installed. To view and install the available updates, click the icon or the message. You can then select the specific updates that you want installed on your computer.

    Automatically download the updates and install them on the schedule that I specify

    Set the days and time when you want Windows to install updates. Windows finds updates on the Windows Update Web site that apply to your computer and downloads them automatically in the background (you are not notified or interrupted during this process). When downloading is complete, a message appears in the notification area so you can review the updates that are scheduled for installation. If you choose not to install at that time, Windows starts the installation on your set schedule. Some updates might require that your computer be restarted to complete the installation. If you are logged on to your computer, Windows notifies you and gives you the option to delay the restart. Be sure to save any work prior to the scheduled installation time.

If you choose not to install a specific update you have downloaded, Windows deletes its files from your computer. If you change your mind later, you can download it again by opening , clicking the Automatic Updates tab, and then clicking Declined Updates. If any of the updates you previously declined still apply to your computer, they will appear the next time Windows notifies you of available updates.

Notes

  • To modify Automatic Updates settings, you must be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.
  • If you choose to install updates when notified, you must be logged on as an administrator or a member of the Administrators group. However, installation will take place during the scheduled installation time regardless of who is logged on to the computer at that time.
  • You can also change settings by clicking Settings when Windows notifies you about updates for your computer.
  • You can always install specific updates from the Windows Update Web site: http://windowsupdate.microsoft.com.


Downloading available updates

If you set up automatic updating to notify you before downloading any updates, an icon appears in the notification area each time new updates are found.

To download available updates

  1. Click the icon in the notification area.
  2. If you want Windows to download an update, make sure that the check box beside it is selected.

    If you do not want Windows to download an update, clear the check box beside it.

Your selected updates will be downloaded in the background, allowing you to continue working uninterrupted. This way, downloading will not interfere with or slow down other network activity, such as Internet browsing.

When downloading is finished, the icon appears in the status area again, this time to notify you that updates are ready to be installed.

After downloading has started, you can pause or resume downloading at any time. If you close your Internet connection or restart your computer after pausing a download, Windows automatically resumes downloading the next time you are connected to the Internet.

To pause or resume downloading

  1. During the download process, click the icon that appears in the notification area, and then click Pause.
  2. When you are ready for Windows to start downloading again, click the automatic updating icon, and then click Resume.

Note

  • If you decide not to download a specific update, you can have Windows Update offer that update again later by opening , clicking the Automatic Updates tab, and then clicking Declined Updates.


Have Windows remind you about pending updates

To have Windows remind you about pending updates

  • When Windows notifies you that updates are available, click Remind Me Later in the Automatic Updates dialog box, prior to downloading or installing.

    In the Reminder dialog box, you can specify the amount of time Windows should wait before reminding you.

    • If the reminder is for downloading, Windows reminds you only when you are connected to the Internet.
    • If the reminder is for installing, Windows reminds you on the schedule you specify.


Install updates that have been downloaded

To install updates that have been downloaded

Windows might prompt you to restart your computer after installing certain components. Please restart your computer when prompted; otherwise, your computer might not work properly.

  1. When you are notified that new updates are ready to be installed, click the icon that appears in the notification area.
  2. Click Details
    3. .
  3. If you want an update to be installed, make sure that the check box beside it is selected.

    If you do not want an update to be installed, clear the check box beside it.

Windows notifies you when installation is complete.

Note

  • If you choose not to install a specific update that has been downloaded, Windows deletes its files from your computer. If you change your mind later, you can download it again by opening , clicking the Automatic Updates tab, and then clicking Declined Updates.


Restore a previously declined update

To restore a previously declined update

If you choose not to install a specific update that has been downloaded, Windows deletes its files from your computer. If you change your mind later, you can download it again.

  1. Open in Control Panel.
  2. On the Automatic Updates tab, click Declined Updates.

If any of the updates you previously declined still apply to your computer, they will appear the next time Windows notifies you of available updates.

Note

  • You can always install specific updates from the Windows Update Web site: http://windowsupdate.microsoft.com.


Scheduling automatic updates

You can set up Windows to automatically download updates and install them on a schedule you specify. This enables you to keep your computer up-to-date without any interruptions. You don't even have to be at your computer.

To schedule automatic updates

  1. Open in Control Panel.
  2. On the Automatic Updates tab, click Automatically download the updates and install them on the schedule that I specify.
  3. Set the days and time when you want Windows to install updates.

After you set this option, Windows finds updates on the Windows Update Web site that apply to your computer and downloads them automatically in the background (you are not notified or interrupted during this process). When downloading is complete, a message appears in the status area so you can review the updates that are scheduled for installation. If you choose not to install at that time, Windows starts the installation on your set schedule.

Notes

  • To modify Automatic Updates settings, you must be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.
  • If you choose to install updates when notified, you must be logged on as an administrator or a member of the Administrators group. However, installation will take place during the scheduled install time regardless of who is logged on to the computer at that time.
  • Some updates might require that your computer be restarted to complete the installation. If you are logged on to your computer, Windows notifies you and gives you the option to delay the restart. Be sure to save any work prior to the scheduled installation time.


Turn on automatic updates

To turn on automatic updates

  1. Open in Control Panel.
  2. On the Automatic Updates tab, select the check box next to Let Windows keep my computer up-to-date.

Notes

  • To turn off automatic updates for your computer, clear the check box.
  • If you choose not to use automatic updating, you can always install specific updates from the Windows Update Web site: http://windowsupdate.microsoft.com.


Windows Update Privacy Statement

Windows Update is committed to protecting your privacy. To provide you with the appropriate list of updates, Windows Update must collect a certain amount of configuration information from your computer. This information includes:

  • Operating-system version number and Product Identification number
  • Internet Explorer version number
  • Version numbers of other software
  • Plug and Play ID numbers of hardware devices

The Product Identification number is collected to confirm that you are running a validly licensed copy of Windows. A validly licensed copy of Windows ensures that you will receive on-going updates from Windows Update. Windows Update does not collect your name, address, e-mail address, or any other form of personally identifiable information. The configuration information collected is used only for the period of time that you are visiting the site, and is not saved.

To provide you with the best possible service, Windows Update also tracks and records how many unique machines visit its site and whether the download and installation of specific updates succeeded or failed. In order to do this, Windows generates a Globally Unique Identifier (GUID) that is stored on your computer to uniquely identify it. Windows Update records the GUID of the computer that attempted the download, the ID of the item that you attempted to download and install, and information about your operating system version and Internet Explorer version.

Because Windows Update does not collect personally identifiable information, the configuration information and GUID cannot be used to identify you.

Please visit http://windowsupdate.microsoft.com to review any updates to this privacy statement.


.topic 3000
Specifies whether Windows will update your computer automatically, based on the setting you choose.

.topic 3001
Configures Windows to notify you before downloading any updates and again when the updates are ready for installation.

.topic 3002
Configures Windows to automatically download the updates. Windows notifies you when the updates are ready to be installed.

.topic 3003
Configures Windows to automatically download updates. Windows installs the updates according to your schedule.

.topic 3004
Specifies the day(s) when Windows will install updates.

.topic 3005
Specifies the hour when Windows will install updates.

.topic 3006
Enables you to specify that Windows notify you again about updates you previously declined.